<script>
    export let stroked = false
    export let small = false
</script>

<svg
    viewBox="0 0 24 24"
    xmlns="http://www.w3.org/2000/svg"
    class={stroked ? 'stroked' : 'filled'}
    class:small>
    <slot />
</svg>

<style lang="postcss">
    svg {
        @apply w-6 h-6 transition duration-150 ease-out;

        &.filled {
            @apply fill-current;
        }

        &.stroked {
            @apply stroke-current;
        }

        &.small {
            @apply h-4 w-4;
        }
    }
</style>
